%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           snappy
Version:        1.1.2
Release:        %mkrel 1
Summary:        Fast compression and decompression library
Group:          System/Libraries
License:        BSD
URL:            http://code.google.com/p/snappy/
Source0:        http://snappy.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}gtest-devel
BuildRequires: %{_lib}lzo-devel

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared
to the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.


#--------------------------------------------

%package -n %{libname}
Summary:        Library of Snappy
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}


%description -n %{libname}
Snappy is a compression/decompression library.

#---------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
This developement package of %{name} contains libraries and
header files for developing applications that use %{name}.

#----------------------------------------------

%prep
%setup -q


%build
%configure2_5x --disable-static
%make


%install
rm -rf %buildroot
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/doc/snappy/
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libsnappy.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc format_description.txt framing_format.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so

%clean
rm -rf %buildroot

%changelog
* Wed Jun 17 2015 bb <bb> 1.1.2-1pclos2015
- update

* Thu Feb 20 2014 bb <bb> 1.1.1-1pclos2014
- import into pclos
